<?php 
/* Greenturtle Mag Customizer Options */


	$wp_customize->add_panel( 'theme_option', array(
			'priority' => 10,
			'title' => __( 'Greenturtle Mag  Theme Option', 'greenturtle-mag' ),
			'description' => __( ' Greenturtle Mag Theme Option', 'greenturtle-mag' ),
		)
	);	

	/**********************************************/
	/*************** Top Header *****************/
	/**********************************************/

	$wp_customize->add_section('greenturtle_mag_top_header_section',array(
			'priority' => 20,
			'title' => __(' Header Section','greenturtle-mag'),
			'description' => __('Manage  Header Section .','greenturtle-mag'),
			'panel' => 'theme_option',
		)
	);

	$wp_customize->add_setting('top_disable',array(
			'sanitize_callback' => 'greenturtle_mag_sanitize_checkbox',
			'default' => '1',
		)
	);

	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'top_disable',array(
			'label' => __('Show Top Header ','greenturtle-mag'),
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'top_disable',
			'type'=> 'checkbox',
		)
	));

	$wp_customize->add_setting('search_disable',array(
			'sanitize_callback' => 'greenturtle_mag_sanitize_checkbox',
			'default' => '1',
		)
	);

	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'search_disable',array(
			'label' => __('Show Search Form On Menu ','greenturtle-mag'),
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'search_disable',
			'type'=> 'checkbox',
		)
	));

	$wp_customize->add_setting('breaking_disable',array(
			'sanitize_callback' => 'greenturtle_mag_sanitize_checkbox',
			'default' => '1',
		)
	);

	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'breaking_disable',array(
			'label' => __('Show Breaking News ','greenturtle-mag'),
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'breaking_disable',
			'type'=> 'checkbox',
		)
	));

	$wp_customize->add_setting('home_button_enable', array(
		'sanitize_callback' => 'greenturtle_mag_sanitize_sidebar',
		'default' => 'enable'
	));

	$wp_customize->add_control('home_button_enable', array(
		'label'      => __('Home Button Enable/Disable On Menu', 'greenturtle-mag'),
		'section'    => 'greenturtle_mag_top_header_section',
		'settings'   => 'home_button_enable',
		'type'       => 'radio',
		'choices'    => array(
			'enable'   => __('Enable','greenturtle-mag'),
			'disable'  => __('Disable','greenturtle-mag')
		),
	));

	$wp_customize->add_setting('breaking_news_title',array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' =>  __( 'Breaking News', 'greenturtle-mag' )
		)
	);

	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'breaking_news_title',array(
			'label' => __('Breaking News Title','greenturtle-mag'),
			'type' 	=> 'text',
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'breaking_news_title',
		)
	));

	$wp_customize->add_setting('breaking_news_category',array(
			'sanitize_callback' => 'greenturtle_mag_sanitize_category',
			'default' =>  '1',
		)
	);

	$wp_customize->add_control(new Greenturtle_Mag_Theme_Customize_Dropdown_Taxonomies_Control($wp_customize,'breaking_news_category',array(
			'label' => __('Choose Category','greenturtle-mag'),
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'breaking_news_category',
			'type'=> 'dropdown-taxonomies',
		)
	));


	//SOCIAL LINKS
	$wp_customize->add_setting('profile_facebook',array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '',
		)
	);

	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'profile_facebook',array(
			'label' => __('Facebook','greenturtle-mag'),
			'type' => 'url',
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'profile_facebook',
		)
	));

	$wp_customize->add_setting('profile_twitter',array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '',
		)
	);

	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'profile_twitter',array(
			'label' => __('Twitter','greenturtle-mag'),
			'type' => 'url',
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'profile_twitter',
		)
	));

	$wp_customize->add_setting('profile_linkedin',array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '',
		)
	);

	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'profile_linkedin',array(
			'label' => __('Linkedin','greenturtle-mag'),
			'type' => 'url',
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'profile_linkedin',
		)
	));

	$wp_customize->add_setting('profile_pinterest',array(
			'sanitize_callback' => 'esc_url_raw',
			'default' =>  '',
		)
	);

	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'profile_pinterest',array(
			'label' => __('Pinterest','greenturtle-mag'),
			'type' => 'url',
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'profile_pinterest',
		)
	));
	$wp_customize->add_setting('profile_instagram',array(
			'sanitize_callback' => 'esc_url_raw',
			'default' =>  '',
		)
	);

	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'profile_instagram',array(
			'label' => __('Instagram','greenturtle-mag'),
			'type' => 'url',
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'profile_instagram',
		)
	));
	$wp_customize->add_setting('profile_tumblr',array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '',
		)
	);

	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'profile_tumblr',array(
			'label' => __('Tumblr','greenturtle-mag'),
			'type' => 'url',
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'profile_tumblr',
		)
	));
$wp_customize->add_setting('profile_youtube',array(
			'sanitize_callback' => 'esc_url_raw',
			'default' =>  '',
		)
	);

	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'profile_youtube',array(
			'label' => __('Youtube','greenturtle-mag'),
			'type' => 'url',
			'section' => 'greenturtle_mag_top_header_section',
			'settings' => 'profile_youtube',
		)
	));

	/**********************************************/
	/*************** Footer *****************/
	/**********************************************/
	$wp_customize->add_section('greenturtle_mag_footer',array(
			'priority' => 60,
			'title' => __('Footer Settings','greenturtle-mag'),
			'description' => __('Footer Settings Section.','greenturtle-mag'),
			'panel' => 'theme_option',
		)
	);

	$wp_customize->add_setting('copyright_textbox',array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => ''
		)
	);

	$wp_customize->add_control('copyright_textbox',array(
			'label' => __('Copyright text','greenturtle-mag'),
			'section' => 'greenturtle_mag_footer',
			'settings' => 'copyright_textbox',
			'type' => 'text',
		)
	);

	/**********************************************/
	/*************** Sidebar *****************/
	/**********************************************/
	$wp_customize->add_section('greenturtle_mag_sidebar_layout',array(
			'priority' => 60,
			'title' => __('Sidebar Layout Settings','greenturtle-mag'),
			'description' => __('Sidebar Layout Settings','greenturtle-mag'),
			'panel' => 'theme_option',
		)
	);

	$wp_customize->add_setting('theme_sidebar_position', array(
		'sanitize_callback' => 'greenturtle_mag_sanitize_sidebar',
		'default' => 'right'
	));

	$wp_customize->add_control('theme_sidebar_position', array(
		'label'      => __('Sidebar Position', 'greenturtle-mag'),
		'section'    => 'greenturtle_mag_sidebar_layout',
		'settings'   => 'theme_sidebar_position',
		'type'       => 'radio',
		'choices'    => array(
			'left'   => __('Left','greenturtle-mag'),
			'right'  => __('Right','greenturtle-mag'),
			'none'	 => __('None','greenturtle-mag'),
		),
	));





