<?php
/**
 * Custom Widgets
 *
 * @since 1.0.0
 */

if( ! function_exists( 'greenturtle_mag_load_widgets_feature_two' ) ) :
	/**
     * Register and load widgets.
     *
     * @since 1.0.0
     */
	function greenturtle_mag_load_widgets_feature_two() {

		/*
			Main Feature Widget Register
		*/
		register_widget( 'Greenturtle_Mag_feature_two' );

	}
endif;
add_action( 'widgets_init', 'greenturtle_mag_load_widgets_feature_two' );

if( ! class_exists( 'Greenturtle_Mag_feature_two' ) ) :
	/**
	 * Main Highlight
	 *
	 * @since 1.0.0
	 */
	class Greenturtle_Mag_feature_two extends WP_Widget
	{
		
		function __construct()
		{
			$opts = array(
				'classname' => '',
				'description'	=> esc_html__( 'Displays Feature posts. Place it in "Home Page Secodary  Widget Area"', 'greenturtle-mag' )
			);
			parent::__construct( 'greenturtle-mag-feature-two', esc_html__( 'GTL Feature Layout Two', 'greenturtle-mag' ), $opts );
		}

		function form( $instance ) {
			$cat_1 = ! empty( $instance[ 'cat_1' ] ) ? $instance[ 'cat_1' ] : absint( 0 );
			
		
			?>
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'cat_1' ) )?>"><strong><?php echo esc_html__( 'Feature  Posts: ', 'greenturtle-mag' ); ?></strong></label>
				<?php
					$cat_args_1 = array(
						'orderby'	=> 'name',
						'hide_empty'	=> 0,
						'id'	=> $this->get_field_id( 'cat_1' ),
						'name'	=> $this->get_field_name( 'cat_1' ),
						'class'	=> 'widefat',
						'taxonomy'	=> 'category',
						'selected'	=> absint( $cat_1 ),
						'show_option_all'	=> esc_html__( 'Choose Category', 'greenturtle-mag' )
					);
					wp_dropdown_categories( $cat_args_1 );
				?>
			</p>

		
		
			<?php
		}

		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;

			$instance[ 'cat_1' ] = absint( $new_instance[ 'cat_1' ] );
		

			return $instance;
		}

		function widget( $args, $instance ) {
			$cat_1 = ! empty( $instance[ 'cat_1' ] ) ? $instance[ 'cat_1' ] : absint( 1 );
			
				
			?>
			    					   <section class="widget gtl_mag_widget_content"><h2 class="widget-title"><?php echo esc_attr(get_the_category_by_ID( $cat_1 )); ?></h2>                                        <!--html generate-->
		    						<div class="mp-tab-widget mp-bottom-widget">
		    							<div class="row">

			    							 <?php
					              			$arg_1 = array(
												'cat'				=> absint( $cat_1 ),
												'posts_per_page' 	=> 2,
												'post_type'			=> 'post',
												'post__not_in'=>get_option("sticky_posts") 
											);
											$query_1 = new WP_Query( $arg_1 );
											if( $query_1->have_posts() ) :
												while( $query_1->have_posts() ) :
													$query_1->the_post();
					              		?>
			    								
										<div class="col-xs-12 col-sm-6 col-md-6">
											<div class="thumb-post">
												<figure class="post-img">
													 <?php
												if( has_post_thumbnail() ) :
													the_post_thumbnail( 'greenturtle-mag-feature2-thumb' );
												endif;
											?>
												</figure>
										<!-- <div class="post-icons">                                                

										</div> -->
										<div class="bottom-post-content">
											<h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
											<div class="par">
												<?php the_excerpt(); ?>           </div>
												<div class="entry-comments-links"><span>
													<i class="fa fa-user"></i><span><?php the_author(); ?></span>
												</span>
												<span>
													<i class="fa fa-calendar"></i> <?php the_date(); ?>
												</span>     
												
												</div>
											</div>
										</div>
										</div>
									 <?php
			                			endwhile;
			                			wp_reset_postdata();
			                		endif;
			                	?>
			                	</div>
			                	</div>

								</section>
						
			<?php
		}
	}
endif; 
?>